# Uses of Class
writer2latex.office.OfficeStyle

Packages that use OfficeStyle
Package
Description
writer2latex.office

## Uses of OfficeStyle in writer2latex.office

Subclasses of OfficeStyle in writer2latex.office
Modifier and Type
Class
Description
`class`
`FontDeclaration`
Class representing a font declaration in OOo
`class`
`ListStyle`
Class representing a list style (including outline numbering) in OOo Writer
`class`
`MasterPage`
Class representing a master page in OOo Writer
`class`
`PageLayout`
Class representing a page master in OOo Writer.
`class`
`StyleWithProperties`
Class representing a style in OOo which contains a style:properties element
Methods in writer2latex.office that return OfficeStyle
Modifier and Type
Method
Description
`OfficeStyle`
OfficeStyleFamily.`getDefaultStyle()`
Get the default style for this family
`OfficeStyle`
OfficeStyle.`getParentStyle()`
`OfficeStyle`
OfficeStyleFamily.`getStyle(String sName)`
Get a style by name
`OfficeStyle`
OfficeStyleFamily.`getStyleByDisplayName(String sDisplayName)`
Get a style by display name.
Methods in writer2latex.office that return types with arguments of type OfficeStyle
Modifier and Type
Method
Description
`Enumeration<OfficeStyle>`
OfficeStyleFamily.`getStylesEnumeration()`
Get all named styles in the family (ie. excluding the default style)
Methods in writer2latex.office with parameters of type OfficeStyle
Modifier and Type
Method
Description
`void`
OfficeStyleFamily.`setDefaultStyle(OfficeStyle style)`
Define the default style for this family, ie. an unnamed style providing defaults for some style properties.
Constructor parameters in writer2latex.office with type arguments of type OfficeStyle
Modifier
Constructor
Description
``
`OfficeStyleFamily(Class<? extends OfficeStyle> styleClass)`
Create a new OfficeStyleFamily based on a class